Crear un nuevo modelo de GPS
curl --request POST \
--url https://api.raul.ugps.io/api/v1/gps_models/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gps_model_name": "<string>",
"brand_id": 123,
"category_id": 123,
"purchase_price": 123,
"sale_price": 123,
"installation_cost": 123,
"installation_cost_venta": 123,
"installation_cost_comodato": 123,
"monthly_rental": 123,
"monthly_platform": 123,
"monthly_service": 123,
"tech_sheet_url": "<string>",
"internal_notes": "<string>",
"currency_id": 123,
"is_active": true,
"accessory_ids": [
123
]
}
'import requests
url = "https://api.raul.ugps.io/api/v1/gps_models/create"
payload = {
"gps_model_name": "<string>",
"brand_id": 123,
"category_id": 123,
"purchase_price": 123,
"sale_price": 123,
"installation_cost": 123,
"installation_cost_venta": 123,
"installation_cost_comodato": 123,
"monthly_rental": 123,
"monthly_platform": 123,
"monthly_service": 123,
"tech_sheet_url": "<string>",
"internal_notes": "<string>",
"currency_id": 123,
"is_active": True,
"accessory_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
gps_model_name: '<string>',
brand_id: 123,
category_id: 123,
purchase_price: 123,
sale_price: 123,
installation_cost: 123,
installation_cost_venta: 123,
installation_cost_comodato: 123,
monthly_rental: 123,
monthly_platform: 123,
monthly_service: 123,
tech_sheet_url: '<string>',
internal_notes: '<string>',
currency_id: 123,
is_active: true,
accessory_ids: [123]
})
};
fetch('https://api.raul.ugps.io/api/v1/gps_models/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"status": 123
}GPS Models
Crear un nuevo modelo de GPS
Operacion: Crear un nuevo modelo de GPS.
POST
/
api
/
v1
/
gps_models
/
create
Crear un nuevo modelo de GPS
Authorizations
Bearer token authentication
Body
application/json
Nombre del modelo de GPS
ID de la marca
ID de la categoría
Precio de compra (UF)
Precio de venta (UF)
Costo de instalación (UF) - DEPRECADO, usar installation_cost_venta/comodato
Costo instalación modalidad VENTA (UF)
Costo instalación modalidad COMODATO (UF)
Arriendo mensual (UF)
Plataforma mensual (UF)
Servicio mensual (UF)
URL de ficha técnica
Notas internas
ID de moneda
Estado activo
IDs de accesorios compatibles
⌘I